Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Deployment::AssemblyFactory Interface Reference

`import "CCM_Deployment.idl";`

List of all members.

## Public Methods
Cookie | create_assembly (in Location assembly_loc) raises (InvalidLocation, CreateFailure)
Assembly | lookup (in Cookie c) raises (InvalidAssembly)
void | destroy (in Cookie c) raises (InvalidAssembly, RemoveFailure)
Cookie | create_assembly (in Location assembly_loc) raises (InvalidLocation, CreateFailure)
Assembly | lookup (in Cookie c) raises (InvalidAssembly)
void | destroy (in Cookie c) raises (InvalidAssembly, RemoveFailure)

## Member Function Documentation

Cookie Components::Deployment::AssemblyFactory::create_assembly | ( | in Location | assembly_loc | ) | raises (InvalidLocation, CreateFailure)

Cookie Components::Deployment::AssemblyFactory::create_assembly | ( | in Location | assembly_loc | ) | raises (InvalidLocation, CreateFailure)

void Components::Deployment::AssemblyFactory::destroy | ( | in Cookie | c | ) | raises (InvalidAssembly, RemoveFailure)

void Components::Deployment::AssemblyFactory::destroy | ( | in Cookie | c | ) | raises (InvalidAssembly, RemoveFailure)

Assembly Components::Deployment::AssemblyFactory::lookup | ( | in Cookie | c | ) | raises (InvalidAssembly)

Assembly Components::Deployment::AssemblyFactory::lookup | ( | in Cookie | c | ) | raises (InvalidAssembly)

The documentation for this interface was generated from the following files:

- CCM_Deployment.idl
- Component_Base.idl